---

Alias: ["Life Orga", "Life Hacks"]
Tag: ["Admin", "Life","Goals"]
Date: 2021-08-12
DocType: "Personal"
ChildrenType:
 - Task
 - Note
Hierarchy: "Root"
TimeStamp: 2021-08-12
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes

---

&emsp;

```button
name Create Task
type append template
action NewFile
id CreateNote
```
^button-LifeOrgaNewTask

```button
name Save
type command
action Save current file
id Save
```
^button-LifeOrgaSave

&emsp;

# Life Organisation 

&emsp;

```ad-abstract
title: Summary
collapse: open
This space centralises all tasks and to-dos!
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Task list

&emsp;

```dataviewjs
const {taskFunc} = customJS
taskFunc.getAllTasks({app, dv, luxon, that:this, theme: "LifeHacks"}) 
```

&emsp;

#### Review overdue

```dataviewjs
const {taskFunc} = customJS
taskFunc.getLateReviewTasks({app, dv, luxon, that:this, theme: "LifeHacks"}) 
```

&emsp;

#### Delivery overdue

```dataviewjs
const {taskFunc} = customJS
taskFunc.getOverdueTasks({app, dv, luxon, that:this, theme: "LifeHacks"}) 
```

&emsp;

#### Priority tasks

```dataviewjs
const {taskFunc} = customJS
taskFunc.getPriorityTasks({app, dv, luxon, that:this, theme: "LifeHacks"}) 
```

&emsp;

---

&emsp;

### Todo list

&emsp;

**[[Life Admin]]**

```ad-task
~~~tasks
not done
path includes Life Admin
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Family]]**

```ad-task
~~~tasks
not done
path includes Family
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Personal projects]]**

```ad-task
~~~tasks
not done
path includes Personal projects
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Lifestyle]]**

```ad-task
~~~tasks
not done
path includes lifestyle
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Creations]]**

```ad-task
~~~tasks
not done
description includes :fountain_pen:
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[IT & Computer]]**

```ad-task
~~~tasks
not done
path includes IT & Computer
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Finances]]**

```ad-task
~~~tasks
not done
path includes Finance
path does not include Ledger
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

#### Overdue Todos

```dataview
	task from [[@Life Organisation]]
	where DocType = "Task" and DueDate < date(today)
```

&emsp;

#### Urgent Todos

```dataview
	task from [[@Life Organisation]]
	where DocType = "Task" and DueDate < date(today) + dur(3 days)
```

&emsp;

#### High priority

```dataview
	Task from [[@Life Organisation]]
	Where DocType = "Task" and Priority = "High" and DueDate >= date(today)
```

&emsp;

#### Closed To-dos

**[[Life Admin]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Life Admin
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Family]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Family
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Personal projects]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Personal projects
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Lifestyle]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Lifestyle
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[IT & Computer]]**

```ad-task
collapse: closed
~~~tasks
done
path includes IT & Computer
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Finances]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Finances
path does not include Ledger
description does not include :birthday:
description does not include :gift:
sort by due
hide backlink
hide task count
~~~
```

&emsp;
&emsp;

