---

cssclass: recipeTable
Alias: ["ComputerSetup", "Computer Setup"]
Tag: ["Admin", "Computer", "App", "Cloud"]
Date: 2021-08-10
DocType: "Personal"
ChildrenType:
 - Note
 - Source
 - Product
 - Task
Hierarchy: "Root"
CollapseMetaTable: Yes

---

Parent:: [[IT & Computer]]

---

 ^Top

&emsp;

```button
name Create Note
type append template
action NewFile
id CreateNote
```
^button-ITNewNote

```button
name Save
type command
action Save current file
id Save
```
^button-ComputerNMSave

&emsp;

# Computer Setup

&emsp;

```ad-abstract
title: Summary
collapse: open
This cluster of notes enables to navigate within my current computer set-up including hardware, apps, backups and syncing between devices.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Cluster Architecture
[[#^Top|TOP]]
&emsp;

1. [[Storage and Syncing]]
2. [[Privacy & Security]]
3. [[Email & Communication]]
3. [[Applications]]
4. [[Apple processes]]
5. [[Internet services]]
6. [[Selfhosting|Self hosting]]

&emsp;

---

&emsp;

### Tag collection
[[#^Top|TOP]]
&emsp;

```dataview
	Table without id tags from "05.01 Computer setup"
	flatten file.tags as tags
	group by tags
```

&emsp;

---

&emsp;

### TimeStamp
[[#^Top|TOP]]
&emsp;

```dataview
	Table TimeStamp from "05.01 Computer setup"
	Where TimeStamp > date(today) - dur(100 years)
	Sort TimeStamp desc
```

&emsp;

---

&emsp;

### Overview of storage
[[#^Top|TOP]]
&emsp;

![[Storage and Syncing#^CurrentHardStorage]]
![[Storage and Syncing#^CurrentCloudStorage]]

&emsp;

---

&emsp;

### Tasks & Further steps
[[#^Top|TOP]]
&emsp;

**[[Applications]]**

```ad-task
~~~tasks
not done
path includes Applications
is not recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Storage and Syncing|Storage & Sync]]**

```ad-task
~~~tasks
not done
path includes Storage
is not recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Privacy & Security]]**

```ad-task
~~~tasks
not done
path includes Privacy
is not recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

---

&emsp;

### Recurring tasks
[[#^Top|TOP]]
&emsp;

**[[Applications]]**

```ad-task
~~~tasks
not done
path includes Applications
is recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Storage and Syncing|Storage & Sync]]**

```ad-task
~~~tasks
not done
path includes Storage
is recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Privacy & Security]]**

```ad-task
~~~tasks
not done
path includes Privacy
is recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

---

&emsp;

### Granular actions
[[#^Top|TOP]]
&emsp;

**[[Element]]**

```ad-task
~~~tasks
not done
path includes Element
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Git]]**

```ad-task
~~~tasks
not done
path includes Github
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[iCloud]]**

```ad-task
~~~tasks
not done
path includes iCloud
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Nextcloud]]**

```ad-task
~~~tasks
not done
path includes Nextcloud
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[SecureSafe]]**

```ad-task
~~~tasks
not done
path includes SecureSafe
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Sync]]**

```ad-task
~~~tasks
not done
path includes Sync
path does not include Storage
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Tesseract]]**

```ad-task
~~~tasks
not done
path includes Tesseract
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Tutanota]]**

```ad-task
~~~tasks
not done
path includes Tutanota
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[VLC]]**

```ad-task
~~~tasks
not done
path includes VLC
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[youtube-dl]]**

```ad-task
~~~tasks
not done
path includes youtube-dl
sort by due
hide backlink
hide task count
~~~
```

&emsp;

---

&emsp;

### Current Cost
[[#^Top|TOP]]
&emsp;

![[Storage and Syncing#^StorageCost]]
![[Applications#^AppCost]]
![[Privacy & Security#^PSCost]]

<mark class="blue">_**Aggregation**_</mark> | One-off Cost | Subscription p.m.
--------|:------------:|:-----------------:
_**Total**_ | £106.54 | £66.55

&emsp;

---

&emsp;

### Product list

&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/query_product", {theme: "Admin"})
```

[[#^Top|TOP]]

&emsp;
&emsp;