---

cssclass: recipeTable
Alias: ["Storage & Sync"]
Tag: ["Admin", "Computer", "Cloud", "Privacy"]
Date: 2021-08-10
DocType: "Personal"
Hierarchy: "Root2"
TimeStamp: 2021-10-13
CollapseMetaTable: Yes

---

Parent:: [[@Computer Set Up|Computer Setup]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-ITStorageSave

&emsp;

# Storage & Syncing

&emsp;

```ad-abstract
title: Summary
collapse: open
Overview of available storage and current devices syncing.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

## Hard Storage

&emsp;

### Overview

&emsp;

Drive name | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Computer**_ | _252G_ | _63.6G_
_**Computer - MacintoshHD**_ | | _63.3G_
_**Computer - Folder Vault**_ | | _333.6M_
_**File Server**_ | _121G_ | _21.1G_
_**Toshiba Drive**_ | _3T_ | _436G_
_**TD - External Drive**_ | _2.25T_ | _333G_
_**TD - Backup**_ | _250G_ | _46.5G_
_**TD - Bootable Disk**_ | _500G_ | _56.5G_
_**Phone**_ | _128G_ | _46.6G_

<mark class="green">Hard storage</mark> | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Total storage**_ | _3.5T_ | _567.3G_
^CurrentHardStorage

&emsp;
&emsp;

### Usage
&emsp;

Drive Name | Usage
------------|---------
_**MacintoshHD**_ | Mac [[Applications]] & temporary files
_**Folder Vault**_ | Personal data, Cloud admin
_**External Drive**_ | Documemts, Music, Videos, Pictures
_**Backup**_ | iPhone backup
_**Bootable Disk**_ | Bootable replication of MacintoshHD ([[Applications]], Mac system)
_**Phone**_ | Phone [[Applications]], Local storage (Documents, Photos, Videos, Music)

&emsp;

---

&emsp;

## Cloud Storage

&emsp;

### Overview

&emsp;

Service name | Available space | Current usage
-----------------|:------------------:|:---------------:
_**[[iCloud]]**_ | _5G_ | _2G_
_**[[Nextcloud]]**_ | _32G_ | _16G_
_**[[Sync]]**_ | _2T_ | _197.2G_
_**[[SecureSafe]]**_ | _1G_ | _240M_

<mark class="green">Cloud Storage</mark> | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Total storage**_ | _2.04T_ | _215.5G_
^CurrentCloudStorage

&emsp;
&emsp;

### Usage
&emsp;

Drive Name | Usage
------------|---------
_**[[iCloud]]**_ | Mandatory iPhone data & app backup & sync
_**[[Nextcloud]]**_ | Cross-device syncing of Contacts, Pictures, Music, Documents
_**[[Sync]]**_ | Backup of External Drive
_**[[SecureSafe]]**_ | Backup of Personal Data

&emsp;
&emsp;

### Current cost
&emsp;

Cloud Service | One-off Cost |  Subscription p.m.
--------------|:---:|:---------:
_**[[SecureSafe]]**_ | &emsp; | €1.49
_**[[Nextcloud]]**_ | &emsp; |€1.56
_**[[Sync]]**_ | &emsp; |€6.9


<mark class="green">Storage</mark> | One-off Cost | Subscription p.m.
--------------|:-------:|:---------------:
_**Total**_ | | €9.95
^StorageCost

&emsp;

---

&emsp;

## Syncing and manual backup

&emsp;

### Syncing

&emsp;

See [[Applications]] for [[iCloud]] syncing. [[Nextcloud]] is otherwise used.
For Obsidian in particular [GitHub](https://github.com) is used in coordination with Working Copy (iOS App). Find [[Git|here]] a collection of scripts to power Github sync on mobile and desktop.

&emsp;

### Manual backup

&emsp;

The following Apps require a manual backup:

- [ ] Backup [[Storage and Syncing#Instructions for Bear|Bear App]] (PC & iOS) 🔁 every 3 months on the 1st Thursday 📅 2022-04-07
- [x] Backup [[Storage and Syncing#Instructions for Bear|Bear App]] (PC & iOS) 🔁 every 3 months on the 1st Thursday 📅 2022-01-06 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for Bear|Bear App]] (PC & iOS) 🔁 every 3 months on the 1st Thursday 📅 2021-10-14 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for Bear|Bear App]] (PC & iOS) 🔁 every 3 months on the 1st Thursday ✅ 2021-10-13
- [ ] [[Storage and Syncing|Storage & Sync]]: Backup Standard Notes (PC) 🔁 every 3 months on the 1st Friday 📅 2022-04-01
- [x] [[Storage and Syncing|Storage & Sync]]: Backup Standard Notes (PC) 🔁 every 3 months on the 1st Friday 📅 2022-01-07 ✅ 2022-01-08
- [x] [[Storage and Syncing|Storage & Sync]]: Backup Standard Notes (PC) 🔁 every 3 months on the 1st Friday 📅 2021-10-03 ✅ 2022-01-03
- [x] Backup Standard Notes (PC) 🔁 every 3 months on the 1st Friday ✅ 2021-10-02
- [ ] Backup [[Storage and Syncing#Instructions for Anchor|Anchor Wallet]] 🔁 every 3 months on the 1st Thursday 📅 2022-04-07
- [x] Backup [[Storage and Syncing#Instructions for Anchor|Anchor Wallet]] 🔁 every 3 months on the 1st Thursday 📅 2022-01-06 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for Anchor|Anchor Wallet]] 🔁 every 3 months on the 1st Thursday 📅 2021-10-14 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for Anchor|Anchor Wallet]] 🔁 every 3 months on the 1st Thursday ✅ 2021-10-13
- [ ] Backup [[Storage and Syncing#Instructions for iPhone|iPhone]] 🔁 every 3 months on the 2nd Tuesday 📅 2022-04-12
- [x] Backup [[Storage and Syncing#Instructions for iPhone|iPhone]] 🔁 every 3 months on the 2nd Tuesday 📅 2022-01-11 ✅ 2022-01-11
- [x] Backup [[Storage and Syncing#Instructions for iPhone|iPhone]] 🔁 every 3 months on the 2nd Tuesday 📅 2021-10-14 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for iPhone|iPhone]] 🔁 every 3 months on the 2nd Tuesday ✅ 2021-10-13
- [ ] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday 📅 2022-04-01
- [x] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday 📅 2022-01-07 ✅ 2022-01-08
- [x] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday 📅 2021-10-14 ✅ 2022-01-03
- [x] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday 📅 2021-10-03 ✅ 2021-10-13
- [x] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday ✅ 2021-10-02
- [ ] [[Storage and Syncing|Storage & Sync]]: Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday 📅 2022-03-14
- [x] [[Storage and Syncing|Storage & Sync]]: Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday 📅 2021-12-13 ✅ 2022-01-08
- [x] [[Storage and Syncing|Storage & Sync]]: Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday 📅 2021-12-01 ✅ 2022-01-08
- [x] [[Storage and Syncing|Storage & Sync]]: Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday 📅 2021-09-16 ✅ 2021-10-16
- [x] Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday ✅ 2021-09-15
- [ ] [[Storage and Syncing|Storage & Sync]]: Transfer pictures to ED 🔁 every 3 months on the 2nd Thursday 📅 2022-04-15
- [x] [[Storage and Syncing|Storage & Sync]]: Transfer pictures to ED 🔁 every 3 months on the 2nd Thursday 📅 2022-01-14 ✅ 2022-01-14
- [x] [[Storage and Syncing|Storage & Sync]]: Transfer pictures to ED 🔁 every 3 months on the 2nd Thursday 📅 2021-10-20 ✅ 2022-01-08
- [x] [[Storage and Syncing|Storage & Sync]]: Transfer pictures to ED 🔁 every 3 months on the 2nd Thursday ✅ 2021-10-19

&emsp;

#### Instructions for Bear
manual backup from App to ED/[[Sync]]

&emsp;

#### Instructions for Anchor
manual backup from App to FV/[[SecureSafe]]

&emsp;

#### Instructions for iPhone
manual backup from PC location (`/Users/mel/Library/Application Support/MobileSync/Backup`) to Backup drive

&emsp;

#### Instructions for FV
manual Backup to [[SecureSafe]]

&emsp;

---

&emsp;

## Further steps

&emsp;

- [x] [[Selfhosting|Self-host]] E2EE Cloud instance: [[Nextcloud]], [[Sync]] or other
- [x] Migrate Apps using [[iCloud]] away ✅ 2021-09-14

&emsp;
&emsp;