---

cssclass: recipeTable
Tag: ["Computer", "Networks", "Web", "App"]
Date: 2021-08-28
DocType: "Personal"
ChildrenType:
 - Server
 - Task
 - Note
 - Source
 - Product
Hierarchy: "Root"
location: [48.8570517, 2.3677354]
CollapseMetaTable: Yes

---

Parent:: [[IT & Computer]]

---

 ^Top

&emsp;

```button
name Create Note
type append template
action NewFile
id CreateNote
```
^button-SelfHostingNewNote

```button
name Save
type command
action Save current file
id Save
```
^button-SHTSave

&emsp;

# Networks

&emsp;

```ad-abstract
title: Summary
collapse: open
This note enables to navigate in the Self-hosting section and find any Note in this Vault by Note or Tag
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Master Navigation
[[#^Top|TOP]]
&emsp;

1. [[Domains]]
2. [[mfxm Website Scope]]
2. [[Selfhosting|Self-hosting]]
	1. [[Server Alias]]
	2. [[Server Cloud]]
	3. [[Server Tools]]
	3. [[mfxm Website Scope#URL Shortening|URL Shortening]]
3. Tools
	1. [[VPS Console Dialogue]]
	2. [[Configuring Postfix|Postfix]]
	3. [[Configuring Monit|monit]]
	4. [[Configuring Docker|docker]]
	5. [[Configuring Caddy|caddy]]
	6. [[Configuring UFW|UFW]]

&emsp;

---

&emsp;

### Tag Navigation
[[#^Top|TOP]]
&emsp;

```dataview
	Table without id tags as "Tags" From "05.02 Networks"
	Flatten file.tags as tags
	Group by tags
```

&emsp;

---

&emsp;

### TimeStamp check
[[#^Top|TOP]]
&emsp;

```dataview
	Table TimeStamp as "Time Stamp" from "05.02 Networks"
	Where TimeStamp > date(today) - dur(100 years)
	Sort TimeStamp ascending
```

&emsp;

---

&emsp;

### High Level tasks

&emsp;

#### One-off
[[#^Top|TOP]]
```ad-task
~~~tasks
not done
path includes Networks
is not recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

#### Recurring tasks
[[#^Top|TOP]]
```ad-task
~~~tasks
not done
path includes Networks
is recurring
sort by due
hide backlink
hide task count
~~~
```

&emsp;

---

&emsp;

### Costs
[[#^Top|TOP]]
&emsp;

![[Domains#^DomainCost]]
![[mfxm Website Scope#^mfxmWSCost]]
![[Server Alias#^AliasServerCost]]
![[Server Cloud#^CloudServerCost]]
![[Server Tools#^ToolsServerCost]]
![[Server VPN#^VPNServerCost]]


|<mark class="blue">_**Aggregation**_</mark> | One-off Cost | Subscription p.a.
|--------|:------------:|:-----------------:
_**Total**_ | *€14.5* | *€140.29*

&emsp;

---

&emsp;

### Server list
[[#^Top|TOP]]
&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/query_server", {tabletype: "overview", dateadded: "2021"})
```

&emsp;

#### Servers' technical description

&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/query_server", {tabletype: "technical", dateadded: "2021"})
```

&emsp;

#### Server usage

&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/query_server", {tabletype: "usage", dateadded: "2021"})
```

[[#^Top|TOP]]

&emsp;
&emsp;