---

Alias: ["Investment Task", "Investment Task master"]
Tag: ["Wealth", "Investment", "Equity", "Crypto", "Equity", "VC"]
Date: 2021-08-17
DocType: "Confidential"
ChildrenType:
 - Task
Hierarchy: "Root"
TimeStamp:
location:
CollapseMetaTable: Yes

---

Parent:: [[Finances]], [[@Investment master|Investments]]

---

 ^Top

&emsp;

```button
name Create Task
type append template
action NewFile
id CreateNote
```
^button-InvNewTask

```button
name Save
type command
action Save current file
id Save
```
^button-InvMSave

&emsp;

# Investment Tasks

&emsp;

```ad-abstract
title: Summary
collapse: open
This space centralises all tasks and to-dos for current and future investments.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Task list
[[#^Top|TOP]]
&emsp;

```dataviewjs
const {taskFunc} = customJS
taskFunc.getAllTasks({app, dv, luxon, that:this, theme: "Wealth"}) 
```

&emsp;

#### Review overdue
[[#^Top|TOP]]
```dataviewjs
const {taskFunc} = customJS
taskFunc.getLateReviewTasks({app, dv, luxon, that:this, theme: "Wealth"}) 
```

&emsp;

#### Delivery overdue
[[#^Top|TOP]]
```dataviewjs
const {taskFunc} = customJS
taskFunc.getOverdueTasks({app, dv, luxon, that:this, theme: "Wealth"}) 
```

&emsp;

#### Priority tasks
[[#^Top|TOP]]
```dataviewjs
const {taskFunc} = customJS
taskFunc.getPriorityTasks({app, dv, luxon, that:this, theme: "Wealth"}) 
```

&emsp;

---

&emsp;

### Todo list
[[#^Top|TOP]]
&emsp;

**[[Crypto Tasks]]**

```ad-task
title: Non recurring
~~~tasks
not done
is not recurring
path includes Crypto Tasks
sort by due
hide backlink
hide task count
~~~
```

```ad-task
title: Recurring
~~~tasks
not done
is recurring
path includes Crypto Tasks
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Equity Tasks]]**

```ad-task
title: Non recurring
~~~tasks
not done
is not recurring
path includes Equity Tasks
sort by due
hide backlink
hide task count
~~~
```

```ad-task
title: Recurring
~~~tasks
not done
is recurring
path includes Equity Tasks
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[VC Tasks]]**

```ad-task
title: Non recurring
~~~tasks
not done
is not recurring
path includes VC Tasks
sort by due
hide backlink
hide task count
~~~
```

```ad-task
title: Recurring
~~~tasks
not done
is recurring
path includes VC Tasks
sort by due
hide backlink
hide task count
~~~
```

&emsp;

#### Overdue Todos
[[#^Top|TOP]]
```dataview
	task from "06.02 Investments"
	where DocType = "Task" and DueDate < date(today)
```

&emsp;

#### Urgent Todos
[[#^Top|TOP]]
```dataview
	task from "06.02 Investments"
	where DocType = "Task" and DueDate < date(today) + dur(3 days)
```

&emsp;

#### High priority
[[#^Top|TOP]]
```dataview
	Task from "06.02 Investments"
	Where DocType = "Task" and Priority = "High" and DueDate >= date(today)
```

&emsp;

#### Completed To-Dos
[[#^Top|TOP]]
**[[Crypto Tasks]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Crypto Tasks
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[Equity Tasks]]**

```ad-task
collapse: closed
~~~tasks
done
path includes Equity Tasks
sort by due
hide backlink
hide task count
~~~
```

&emsp;

**[[VC Tasks]]**

```ad-task
collapse: closed
~~~tasks
done
path includes VC Tasks
sort by due
hide backlink
hide task count
~~~
```

[[#^Top|TOP]]

&emsp;
&emsp;