---

QITableType: overview
QIInvType:
QIAddedD:
QIStyle:
QIStage: Early
QICcy:
QITheme:
QITradingd:
QITradingp:
cssclass: recipeTable
Alias: ["Investment Master"]
Tag: ["Wealth", "Investment", "Equity", "VC", "Crypto"]
Date: 2021-08-17
DocType: "Confidential"
ChildrenType:
 - Investment
 - Note
Hierarchy: "Root"
location:
CollapseMetaTable: Yes

---

Parent:: [[Finances]]

---

 ^Top

&emsp;

```button
name Create Note
type append template
action NewFile
id CreateNote
```
^button-InvtNewNote

```button
name Save
type command
action Save current file
id Save
```
^button-InvMSave

&emsp;

# Investments map
&emsp;

```ad-abstract
title: Summary
collapse: open
This note enables to navigate in the Admin section and find any Note in this Vault by Note or Tag.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Cluster Architecture
[[#^Top|TOP]]
&emsp;

1. [[Equity Investments]]
2. [[VC Investments]]
3. [[Crypto Investments]]

&emsp;

---

&emsp;

### Search
[[#^Top|TOP]]
&emsp;

```button
name Search Investments
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```

&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/print_invsearch", {invtype: dv.current().QIInvType, dateadded: dv.current().QIAddedD, style: dv.current().QIStyle, stage: dv.current().QIStage, ccy: dv.current().QICcy, theme: dv.current().QITheme, tradingd: dv.current().QITradingd, tradingp: dv.current().QITradingp})
```

&emsp;

```dataviewjs
dv.view("00.01 Admin/dv-views/query_inv", {tabletype: dv.current().QITableType, invtype: dv.current().QIInvType, dateadded: dv.current().QIAddedD, style: dv.current().QIStyle, stage: dv.current().QIStage, ccy: dv.current().QICcy, theme: dv.current().QITheme, tradingd: dv.current().QITradingd, tradingp: dv.current().QITradingp})
```

&emsp;

---

&emsp;

### Investment list
[[#^Top|TOP]]
&emsp;

```dataview
	Table Date as "Creation Date" from "06.02 Investments"
	Sort file.name ascending
```

&emsp;

---

&emsp;

### Tag Navigation
[[#^Top|TOP]]
&emsp;

```dataview
	Table without id tags as "Tags" From "06.02 Investments"
	Flatten file.tags as tags
	Group by tags
```

&emsp;

---

&emsp;

### TimeStamp check
[[#^Top|TOP]]
&emsp;

```dataview
	Table TimeStamp as "Time Stamp" from "06.02 Investments"
	Where TimeStamp > date(today) - dur(100 years)
	Sort TimeStamp ascending
```

&emsp;

---

&emsp;

### High Level Investment monitor

&emsp;

1. [[Crypto Investments#Crypto investment monitor|Crypto]]
2. [[Equity Investments#Equity investment monitor|Equity]]
3. [[VC Investments#VC Investment monitor|VC]]

[[#^Top|TOP]]

&emsp;
&emsp;