---

Alias: ["Nimbus (NBU)", "NBU"]
Tag: ["DeFi", "Bridge2TraFi", "Investment"]
Date: 2021-08-17
DocType: "Investment"
Hierarchy: "NonRoot"
TimeStamp: 2022-01-12
location: [35.9080678, 14.4788068]
Investment:
 Type: "Crypto"
 Style: "Growth"
 Stage: "Early"
 Ccy: USD
Trading:
 PDate: 2021-03-09
 PPrice: 1.23
 LPrice: 0.2663
CollapseMetaTable: yes

---

Parent:: [[Crypto Investments|Crypto Investment]]

---

&emsp;

```button
name Edit Investment parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-NBUInvEdit

```button
name Save
type command
action Save current file
id Save
```
^button-NBUInvSave

&emsp;

# Nimbus

&emsp;

```ad-abstract
title: Summary
collapse: open
Nimbus offers a DeFi platform with a variety of investment strategies ranging from crypto-currency arbitrage to annonymous participation into the real economy through Crowdfunding and IPO Equity bridge.
The main investment strategies advertised by the projects are:
1. Crypto-arbitrage trading
2. Crowdfunding
3. Lending-borrowing
4. IPO Hub

The platform is trying to be multi-chain and to reduce cost of operations for the user and has therefore deployed on ETH and BSC.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Investment thesis

&emsp;

The Nimbus platform is a Decentralised Finance (DeFi) platform that not solely focusses on generating revenue from Blockchain use and usage but mainly on generating revenues through bridging to the traditional finance world, which is very compelling. In addition, the platform offers crypto-currency arbitrage opportunities.

&emsp;

---

&emsp;

### Risk profile

&emsp;

<mark style="background:orange">High risk</mark>
The ambition to bridge decentralised and traditional finance is what makes this proposition compelling; yet regulatory hurdles, implementation and adoption risk are plenty.

&emsp;

---

&emsp;

### Tokenomics

&emsp;

```ad-product
title: Price update
NBU:USD
```

NBU is the utility token of the DeFi platform and therefore price action will depend on remuneration structure of the different investment strategies as well as the adoption of this DeFi platform in a very competitive sub-industry.
The platform offers a GNBU token that serves governance of the project as well as reaping benefits from all underlying strategies (yet, this is not clear how).
Both tokens are duplicated as ERC20 and BEP20.

&emsp;

---

&emsp;

### News & corporate activity

&emsp;

#### Current pipeline

The current pipeline is as follows:

- [ ] IPO Hub launch
- [ ] Crowdfunding Hub launch
- [ ] Crypto-Arbitrage Trading launch
- [x] Lending-Borrowing launch (2021-07-31)
- [x] P2P Exchange launch (2021-07-13)
- [x] ETH/BSC Wrap Machine launch (2021-07-03)
- [x] BSC integration (2021-05-26)



&emsp;

#### Innovation

The platform is in its very early stage and no innovation beyond the published roadmap.

&emsp;

---

&emsp;

### Further steps

&emsp;

Further steps are captured in the [[Crypto Tasks|Crypto task list]]

&emsp;
&emsp;